Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Typedefs | Functions
hrtime.h File Reference
`#include "ruby/ruby.h"`
`#include <time.h>`

Go to the source code of this file.

## Macros
#define | RB_HRTIME_PER_USEC ((rb_hrtime_t)1000)
#define | RB_HRTIME_PER_MSEC (RB_HRTIME_PER_USEC * (rb_hrtime_t)1000)
#define | RB_HRTIME_PER_SEC (RB_HRTIME_PER_MSEC * (rb_hrtime_t)1000)
#define | RB_HRTIME_MAX UINT64_MAX

## Typedefs
typedef uint64_t | rb_hrtime_t

## Functions
rb_hrtime_t | rb_hrtime_now (void)

## Macro Definition Documentation

## ◆ RB_HRTIME_MAX

#define RB_HRTIME_MAX UINT64_MAX

Definition at line 38 of file hrtime.h.

## ◆ RB_HRTIME_PER_MSEC

#define RB_HRTIME_PER_MSEC (RB_HRTIME_PER_USEC * (rb_hrtime_t)1000)

Definition at line 36 of file hrtime.h.

## ◆ RB_HRTIME_PER_SEC

#define RB_HRTIME_PER_SEC (RB_HRTIME_PER_MSEC * (rb_hrtime_t)1000)

Definition at line 37 of file hrtime.h.

## ◆ RB_HRTIME_PER_USEC

#define RB_HRTIME_PER_USEC ((rb_hrtime_t)1000)

Definition at line 35 of file hrtime.h.

## Typedef Documentation

## ◆ rb_hrtime_t

typedef uint64_t rb_hrtime_t

Definition at line 47 of file hrtime.h.

## Function Documentation

## ◆ rb_hrtime_now()

rb_hrtime_t rb_hrtime_now | ( | void |  | ) |

Definition at line 1229 of file thread.c.